cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_profile": {
"name": "Standard fulfillment",
"statuses": [
{
"name": "Open",
"status_index": 0
}
]
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.create_settings_fulfillment_profile(
{
"fulfillment_profile": {
"name": "Standard fulfillment",
"statuses": [{"name": "Open", "status_index": 0}],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.createSettingsFulfillmentProfile({
fulfillment_profile: {name: 'Standard fulfillment', statuses: [{name: 'Open', status_index: 0}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->createSettingsFulfillmentProfile([
'fulfillment_profile' => [
'name' => 'Standard fulfillment',
'statuses' => [['name' => 'Open', 'status_index' => 0]],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().createSettingsFulfillmentProfile(
Map.of(
"fulfillment_profile", Map.of(
"name", "Standard fulfillment",
"statuses", List.of(Map.of("name", "Open", "status_index", 0)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.CreateSettingsFulfillmentProfileAsync(new Dictionary<string, object?>
{
["fulfillment_profile"] = new Dictionary<string, object?>
{
["name"] = "Standard fulfillment",
["statuses"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "Open",
["status_index"] = 0,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.createSettingsFulfillmentProfile({
'fulfillment_profile': {
'name': 'Standard fulfillment',
'statuses': [
{'name': 'Open', 'status_index': 0},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().CreateSettingsFulfillmentProfile(context.Background(), map[string]any{
"fulfillment_profile": map[string]any{
"name": "Standard fulfillment",
"statuses": []any{
map[string]any{"name": "Open", "status_index": 0},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Fulfillment profiles
Create a fulfillment profile
Creates a fulfillment profile from a name and one or more statuses, and returns the profile.
POST
/
settings
/
fulfillment_profiles
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_profile": {
"name": "Standard fulfillment",
"statuses": [
{
"name": "Open",
"status_index": 0
}
]
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.create_settings_fulfillment_profile(
{
"fulfillment_profile": {
"name": "Standard fulfillment",
"statuses": [{"name": "Open", "status_index": 0}],
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.createSettingsFulfillmentProfile({
fulfillment_profile: {name: 'Standard fulfillment', statuses: [{name: 'Open', status_index: 0}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->createSettingsFulfillmentProfile([
'fulfillment_profile' => [
'name' => 'Standard fulfillment',
'statuses' => [['name' => 'Open', 'status_index' => 0]],
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().createSettingsFulfillmentProfile(
Map.of(
"fulfillment_profile", Map.of(
"name", "Standard fulfillment",
"statuses", List.of(Map.of("name", "Open", "status_index", 0)))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.CreateSettingsFulfillmentProfileAsync(new Dictionary<string, object?>
{
["fulfillment_profile"] = new Dictionary<string, object?>
{
["name"] = "Standard fulfillment",
["statuses"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "Open",
["status_index"] = 0,
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.createSettingsFulfillmentProfile({
'fulfillment_profile': {
'name': 'Standard fulfillment',
'statuses': [
{'name': 'Open', 'status_index': 0},
],
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().CreateSettingsFulfillmentProfile(context.Background(), map[string]any{
"fulfillment_profile": map[string]any{
"name": "Standard fulfillment",
"statuses": []any{
map[string]any{"name": "Open", "status_index": 0},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Send the profile under
fulfillment_profile with its name and a statuses list of one or more statuses.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new fulfillment profile, under fulfillment_profile.
Show child attributes
Show child attributes